@import url("https://fonts.googleapis.com/css2?family=Glegoo:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Mukta:wght@200;300;400;500;600;700;800&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    /* font-family: "Glegoo", serif; */
    font-family: "Mukta", sans-serif;
}

.portal-body.fixed-body {
    overflow: hidden;
}

.body-container {
    background-color: #fafafa;
    min-height: 100vh;
}

.loading-wrapper {
    min-height: calc(100vh - (84px + 92px + 200px));
}

.loading-wrapper img {
    max-height: 70px;
    animation: loading 5s linear infinite;
    -webkit-animation: loading 2s linear infinite;
}

.nodata-wrapper {
    display: none;
}

.nodata-box {
    min-height: calc(100vh - (84px + 92px + 200px));
}

.nodata-box img {
    max-height: 70px;
}

.nodata-wrapper p {
    color: #af0d10;
    font-weight: 700;
    font-size: 16px;
    margin-top: 10px;
}

@keyframes loading {
    0% {
        transform: scale(1);
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
    }
    50% {
        transform: scale(1.2);
        -webkit-transform: scale(1.2);
        -moz-transform: scale(1.2);
        -ms-transform: scale(1.2);
        -o-transform: scale(1.2);
    }
    100% {
        transform: scale(1);
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
    }
}

.news-body-wrapper {
    min-height: calc(100vh - (84px + 92px + 309px));
    display: none;
}

.gap-container {
    padding-left: 10px;
    padding-right: 10px;
}

.middle-content {
    max-width: 1024px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

/* head container  */
.head-nav-wrapper {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 5;
}

.head-container {
    background-color: #ffffff;
}

.head-container .head-box {
    background-color: #ffffff;
}

.head-container .head-box .date-wrapper p {
    color: #555555;
    line-height: 1;
    padding: 0 10px;
    font-weight: 700;
}

.head-container .head-box .logo-text img {
    height: 120px;
}

.head-container .head-box .info-text p {
    font-size: 14px;
    font-weight: 700;
}

.head-container .head-box .info-text .border-line {
    height: 40px;
    width: 1.5px;
    background-color: #d9d7d8;
    margin: 0 25px;
}

.head-nav-wrapper.sticky-head .head-container .head-box {
    padding-top: 10px;
    padding-bottom: 10px;
}

.head-nav-wrapper.sticky-head .head-container .head-box .logo-text img {
}

.head-nav-wrapper.sticky-head .head-container .head-box .date-wrapper {
    display: none;
}

/* nav container - link nav  */
.nav-container .tab-box {
    display: none;
    cursor: pointer;
}

.nav-container .tab-box span {
    display: block;
    width: 30px;
    height: 3px;
    background-color: #fef2f2;
    margin: 3px 0;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
    pointer-events: none;
}

.nav-container .tab-box span:nth-child(2) {
    width: 20px;
}

.nav-container .nav-box.link-nav {
    background-color:#243c98;
}

.nav-container .nav-box.link-nav .box {
    min-height: 55px;
}

.nav-container .nav-box.link-nav .title a {
    color: #fef2f2;
    font-family: "Raleway", sans-serif;
    font-weight: 700;
    font-size: 16px;
    text-decoration: none;
    white-space: nowrap;
    padding: 14px 0;
    display: block;
}

.nav-container .nav-box.link-nav .link-box {
    position: relative;
    margin-right: 40px;
}

.nav-container .nav-box.link-nav .link-box:nth-last-child(1) {
    margin-right: 0;
}

.nav-container .nav-box.link-nav .link-box:hover .drop-box {
    display: block;
    z-index: 999999;
}

.nav-container .nav-box.link-nav .link-box .link a {
    color: #fef2f2;
    /* font-family: "Raleway", sans-serif; */
    font-weight: 700;
    font-size: 18px;
    text-decoration: none;
    white-space: nowrap;
    padding: 14px 6px 14px 0;
    display: block;
}

.nav-container .nav-box.link-nav .link-box .link i {
    font-size: 14px;
}

.nav-container .nav-box.link-nav .link-box .link.home-link a {
    padding: 14px 0px 14px 12px;
}

.nav-container .nav-box.link-nav .link-box .link.home-link i {
    font-size: 12px;
}

.nav-container .nav-box.link-nav .link-box .link i {
    color: #fef2f2;
    cursor: pointer;
}

.nav-container .nav-box.link-nav .drop-box {
    position: absolute;
    top: 46px;
    right: 0;
    min-width: 130px;
    display: none;
    z-index: 999999;
}

.nav-container .nav-box.link-nav .drop-box .drop-link a {
    color: #fef2f2;
    line-height: 1;
    /* font-family: "Raleway", sans-serif; */
    font-weight: 600;
    font-size: 14px;
    text-decoration: none;
    white-space: nowrap;
    display: block;
    padding: 12px 20px;
    background-color: #266d9c;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.nav-container .nav-box.link-nav .drop-box .drop-link a:hover {
    background-color: #205376;
}

/* nav container - post nav  */
.nav-container .nav-box.post-nav {
    background-color: #b62222;
    /* background-color: #881a1d; */
}

.nav-container .nav-box.post-nav .box {
    min-height: 47px;
}

.nav-container .nav-box.post-nav .title {
    padding: 10px 14px;
    background-color: #f9fafb;
    box-shadow: inset 0px 4px 4px rgba(0, 0, 0, 0.1);
}

.nav-container .nav-box.post-nav .title p {
    color: #dc2626;
    /* font-family: "Raleway", sans-serif; */
    font-size: 16px;
    font-weight: 800;
}

.nav-container .nav-box.post-nav .list-box .list {
    margin-right: 30px;
}

.nav-container .nav-box.post-nav .list-box .list:nth-last-child(1) {
    margin-right: 0;
}

.nav-container .nav-box.post-nav .list-box .list i {
    color: #fef2f2;
    font-size: 14px;
    margin-right: 4px;
}

.nav-container .nav-box.post-nav .list-box .list img {
    margin-right: 2px;
}

.nav-container .nav-box.post-nav .list-box .list a {
    color: #fef2f2;
    /* font-family: "Raleway", sans-serif; */
    font-weight: 700;
    font-size: 14px;
    text-decoration: none;
    white-space: nowrap;
}

.nav-container .mini-link {
    display: none;
}

.nav-container .mini-link .link-box {
    margin-right: 36px !important;
}

.nav-container .mini-link .link-box:nth-last-child(1) {
    margin-right: 0 !important;
}

.nav-container .mini-link .link-box .link a {
    font-size: 16px !important;
}

/* mobile nav  */
.mobile-nav {
    position: fixed;
    top: 0;
    min-height: 100vh;
    max-height: 100vh;
    height: 100vh;
    min-width: 270px;
    right: -110%;
    opacity: 0;
    z-index: 999999;
    overflow: auto;
}

.mobile-nav.blue-nav {
    background-color: #2980b9;
}

.mobile-nav.red-nav {
    background-color: #b62222;
}

.mobile-nav .nav-box {
    padding: 40px 20px 20px 20px;
}

.mobile-nav .nav-box .title a {
    display: inline-block;
    text-align: center;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 700;
    color: #fef2f2;
    position: relative;
    text-decoration: none;
}

.mobile-nav .nav-box .title a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 40px;
    background-color: #fef2f2;
}

.mobile-nav .nav-box .close-icon {
    position: absolute;
    top: 10px;
    left: 6px;
    height: 30px;
    width: 30px;
    cursor: pointer;
}

.mobile-nav .nav-box .close-icon i {
    color: #fef2f2;
    pointer-events: none;
    font-size: 20px;
}

.mobile-nav .nav-box .link-box .link i {
    color: #fef2f2;
    margin-right: 4px;
}

.mobile-nav .nav-box .link-box .link a {
    display: block;
    color: #fef2f2;
    font-family: "Raleway", sans-serif;
    font-weight: 700;
    font-size: 16px;
    text-decoration: none;
    white-space: nowrap;
    padding: 14px 20px 14px 0;
    display: block;
    width: 100%;
}

.mobile-nav .nav-box .link-box .link img {
    margin-right: 20px;
    height: 16px;
    margin-bottom: -2px;
}

.mobile-nav .nav-box .link-box .link .plus-icon {
    min-width: 50px;
    max-width: 50px;
    min-height: 30px;
    max-height: 30px;
    height: 30px;
    width: 50px;
    cursor: pointer;
}

.mobile-nav .nav-box .link-box .link .plus-icon i {
    color: #fef2f2;
    pointer-events: none;
}

.mobile-nav .nav-box .drop-box {
    display: none;
}

.mobile-nav .nav-box .drop-box .link a {
    font-size: 14px;
    padding-left: 20px;
    background-color: #266d9c;
}

.mobile-nav .nav-box .drop-box .link a:hover {
    background-color: #205376;
}

.mobile-nav .nav-box .creator-text a {
    display: block;
    color: #fef2f2;
    font-weight: 700;
    font-size: 14px;
    text-decoration: none;
    width: 100%;
    text-align: center;
    background-color: #2e539b;
    padding: 6px 0;
}

.mobile-nav .nav-box .post-text .title {
    padding: 12px 14px;
    background-color: #f9fafb;
    box-shadow: inset 0px 4px 4px rgb(0 0 0 / 10%);
}

.mobile-nav .nav-box .post-text .title p {
    color: #dc2626;
    font-family: "Raleway", sans-serif;
    font-size: 16px;
    font-weight: 700;
    text-align: center;
}

/* tab nav  */
.tab-nav {
    position: fixed;
    width: 100%;
    bottom: 0;
    z-index: 9999;
    background-color: #243c98;
    display: none;
}

.tab-nav .box {
    width: calc(100% / 4);
    padding: 18px 20px 8px 20px;
    text-decoration: none;
}

.tab-nav .box:active {
    transform: scale(0.95);
    -webkit-transform: scale(0.95);
    -moz-transform: scale(0.95);
    -ms-transform: scale(0.95);
    -o-transform: scale(0.95);
}

.tab-nav .box i {
    color: #fef2f2;
    font-size: 12px;
    margin-bottom: 4px;
}

.tab-nav .box p {
    color: #fef2f2;
    font-weight: 600;
    font-size: 12px;
    font-family: "Raleway", sans-serif;
}

/* setting  */
.setting-box {
    position: fixed;
    top: 50px;
    left: 0;
    min-width: 200px;
    max-width: 400px;
    background-color: #ffffff;
    padding: 6px 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border-bottom-right-radius: 6px;
    z-index: 999999;
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.setting-box.open {
    transform: translateX(0%);
    -webkit-transform: translateX(0%);
    -moz-transform: translateX(0%);
    -ms-transform: translateX(0%);
    -o-transform: translateX(0%);
}

.setting-box .box .head-text h1 {
    display: inline-block;
    text-align: center;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 700;
    color: #af0d10;
    position: relative;
    text-decoration: none;
}

.setting-box .box .head-text h1:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 40px;
    background-color: #af0d10;
}

.setting-box .box .profile-text h1 {
    font-size: 18px;
    line-height: 1;
    margin-bottom: 4px;
}

.setting-box .box .profile-text p {
    font-size: 16px;
    line-height: 1;
    color: #555555;
}

.setting-box .box .change-text a {
    font-size: 14px;
    text-decoration: underline;
}

.setting-box .box .btn-text a {
    display: block;
    padding: 6px;
    width: 100%;
    color: #ffffff;
    background-color: #2980b9;
    font-size: 14px;
    text-decoration: none;
    text-align: center;
    border-radius: 6px;
    margin-bottom: 4px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

.setting-box .box .btn-text.logout-btn a {
    margin-bottom: 0;
    background-color: #af0d10;
}

.setting-box .icon-box {
    position: absolute;
    top: 0;
    right: -36px;
    background-color: #ffffff;
    min-width: 40px;
    max-width: 40px;
    min-height: 40px;
    max-height: 40px;
    width: 40px;
    height: 40px;
    box-shadow: 4px 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    border-radius: 0 6px 6px 0;
    -webkit-border-radius: 0 6px 6px 0;
    -moz-border-radius: 0 6px 6px 0;
    -ms-border-radius: 0 6px 6px 0;
    -o-border-radius: 0 6px 6px 0;
}

.setting-box .icon-box i {
    pointer-events: none;
}

/* modal  */
.modal-container {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 999999;
}

.modal-container .modal-box {
    background-color: #ffffff;
    max-width: 700px;
    max-height: 90vh;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 20px 20px 30px 20px;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

/* width */
.modal-container .modal-box::-webkit-scrollbar {
    width: 10px;
}

/* Track */
.modal-container .modal-box::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
}

/* Handle */
.modal-container .modal-box::-webkit-scrollbar-thumb {
    background: #999999;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
}

/* Handle on hover */
.modal-container .modal-box::-webkit-scrollbar-thumb:hover {
    background: #777777;
}

.modal-container .modal-box .title h1 {
    font-size: 22px;
    position: relative;
    display: inline-block;
    text-align: center;
}

.modal-container .modal-box .title h1:after {
    content: "";
    position: absolute;
    width: 50%;
    height: 3px;
    background-color: #af0d10;
    bottom: 0;
    left: 25%;
}

.modal-container .modal-box .form-box .input-box {
    width: 400px;
}

.modal-container .modal-box .form-box .input-box input {
    border: none;
    outline: none;
    border: 1px solid #efefef;
    background-color: #efefef;
    padding: 12px 18px;
    width: 100%;
    font-size: 14px;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
}

.modal-container .modal-box .icon-box img {
    height: 50px;
}

.modal-container .modal-box .message-box h1 {
    font-size: 18px;
    text-align: center;
}

.modal-container .modal-box .btn-box a {
    font-size: 16px;
    padding: 6px 30px;
    text-decoration: none;
    color: #ffffff;
    background-color: #af0d10;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

.modal-container .modal-box .btn-box.verify-btn a {
    background-color: #2980b9;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
}

.modal-container .modal-box .btn-box.change-btn a {
    background-color: #2980b9;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
}

.modal-container .modal-box .form-box .error-box p {
    font-family: "Raleway", sans-serif;
    font-weight: 700;
    font-size: 14px;
}

/* footer container  */
.footer-container.full-footer {
    background-color: #af0d10;
}

.footer-container .footer-box .footer-link-box .list .title {
    margin-bottom: 20px;
}

.footer-container .footer-box .footer-link-box .list .title h1 {
    color: #dc2626;
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    font-weight: 700;
}

.footer-container .footer-box .footer-link-box .list {
    width: calc(100% / 10);
    margin-bottom: 20px;
}

.footer-container .footer-box .footer-link-box .list .link a {
    display: block;
    font-family: "Raleway", sans-serif;
    font-size: 12px;
    color: #6b7280;
    font-weight: 700;
    text-decoration: none;
    margin-bottom: 16px;
}

.footer-container .footer-box .footer-contact-box .box {
    margin-bottom: 20px;
}

.footer-container .footer-box .footer-contact-box .logo-box {
    margin-bottom: 20px;
}

.footer-container .footer-box .footer-contact-box .box .title {
    margin-bottom: 20px;
}

.footer-container .footer-box .footer-contact-box .box .title h1 {
    color: #dc2626;
    /* font-family: "Raleway", sans-serif; */
    font-size: 20px;
    line-height: 1;
    font-weight: 700;
    position: relative;
    padding-bottom: 10px;
}

.footer-container .footer-box .footer-contact-box .box .title h1:before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 3px;
    background-color: #d9d7d8;
}

.footer-container .footer-box .footer-contact-box .box .title h1:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 50%;
    height: 3px;
    background-color: #dc2626;
}

.footer-container .footer-box .footer-contact-box .box .list p {
    display: block;
    /* font-family: "Raleway", sans-serif; */
    font-size: 16px;
    color: #6b7280;
    font-weight: 600;
    margin-bottom: 16px;
    max-width: 240px;
    line-height: 1.2;
}

.footer-container .footer-box .footer-contact-box .box .social-icon a {
    margin-right: 10px;
}

.footer-container .footer-box .footer-contact-box .logo-box {
    position: relative;
}

.footer-container .footer-box .footer-contact-box .logo-box img {
    max-height: 100px;
}

.footer-container .footer-box .footer-contact-box .logo-box img {
    max-height: 100px;
}

.footer-container .footer-box .footer-contact-box .logo-box:before {
    content: "";
    position: absolute;
    right: 20px;
    bottom: 0;
    width: 3px;
    height: 100%;
    background-color: #d9d7d8;
}

.footer-container .footer-box .footer-contact-box .logo-box:after {
    content: "";
    position: absolute;
    right: 20px;
    bottom: 0;
    width: 3px;
    height: 50%;
    background-color: #dc2626;
}

.footer-container .footer-box .footer-contact-box .list-wrapper {
    width: 100%;
}

.footer-container .footer-box .footer-contact-box .contact-wrapper {
    min-width: 420px;
}

/* footer copy right  */
.footer-container .footer-box .footer-copyright-box {
    background-color: #af0d10;
    padding: 22px 0px;
}

.footer-container .footer-box .footer-copyright-box .copy-text p {
    font-family: "Raleway", sans-serif;
    font-weight: 600;
    color: #fef2f2;
    font-size: 14px;
}

.footer-container .footer-box .footer-copyright-box .link-text a {
    font-family: "Raleway", sans-serif;
    font-size: 14px;
    color: #fefefe;
    font-weight: 600;
    text-decoration: none;
    margin-left: 20px;
}

/* footer small  */
.footer-container .footer-box .small-box {
    background-color: #af0d10;
}

.footer-container .footer-box .small-img-box img {
    height: 78px;
}

.footer-container .footer-box .small-box a {
    color: #fef2f2;
    font-size: 14px;
    font-family: "Raleway", sans-serif;
    text-decoration: none;
    margin: 10px 10px;
}

.fd-none {
    display: none;
}

/* responsive  */
@media (max-width: 1034px) {
    .footer-container .footer-box .footer-copyright-box {
        padding: 20px 10px;
    }
}

@media (max-width: 1023px) {
    .nav-container .desktop-link {
        display: none;
    }
    .nav-container .tab-box {
        display: flex;
    }
    .nav-container .mini-link {
        display: flex;
    }
}

@media (max-width: 1000px) {
    .footer-container .footer-box .footer-link-box .list {
        width: calc(100% / 5);
    }
    .footer-container .footer-box .footer-copyright-box {
        flex-direction: column;
    }
    .footer-container .footer-box .footer-copyright-box .copy-text {
        margin-bottom: 20px;
        margin-top: 10px;
    }
    .footer-container .footer-box .footer-copyright-box .link-text a {
        margin-bottom: 10px;
    }
    .footer-container .footer-box .footer-contact-box {
        flex-direction: column;
    }
    .footer-container .footer-box .footer-contact-box .contact-wrapper {
        min-width: 100%;
        justify-content: center;
    }
}

@media (max-width: 767px) {
    .head-container {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    .head-container .head-box {
        /* padding-top: 10px;
        padding-bottom: 10px; */
    }
    .head-container .head-box .logo-img {
        display: none;
    }
    .head-container .head-box .logo-img img {
        max-width: 50px;
    }
    .head-container .head-box .logo-text img {
        height: 130px;
    }
    .head-container .head-box .info-text p {
        /* font-size: 12px; */
    }
    .head-container .head-box .info-text .border-line {
        margin: 0 15px;
    }
    .tab-nav {
        display: flex;
    }
    .nav-container.category-nav-container {
        top: 119px;
    }
    .footer-container .footer-box .footer-link-box .list {
        width: calc(100% / 3);
    }
    .footer-container .footer-box .footer-link-box .list .title h1 {
        text-align: center;
    }
    .footer-container .footer-box .footer-link-box .list .link a {
        text-align: center;
    }
    .footer-container .footer-box .footer-contact-box .list-wrapper {
        flex-direction: column;
        align-items: center;
    }
    .footer-container .footer-box .footer-contact-box .box .title h1 {
        text-align: center;
    }
    .footer-container .footer-box .footer-contact-box .box .list p {
        text-align: center;
    }
    .footer-container .footer-box .footer-contact-box .logo-box {
        display: none;
    }
    .footer-container .footer-box .footer-copyright-box .copy-text p {
        text-align: center;
    }
    .footer-container.full-footer {
        margin-bottom: 56px;
    }
}

@media (max-width: 500px) {
    .footer-container .footer-box .footer-link-box .list {
        width: calc(100% / 2);
    }
    .footer-container .footer-box .footer-copyright-box .copy-text {
        flex-direction: column;
    }
    .footer-container .footer-box .footer-copyright-box .copy-text p {
        margin-bottom: 10px;
    }
}

@media (max-width: 400px) {
    .modal-container .modal-box {
        width: 100%;
    }
    .modal-container .modal-box .form-box .input-box {
        width: 100%;
    }
    .footer-container .footer-box .small-box a {
        font-size: 12px;
    }
}
